Not logged in. · Lost password · Register

All posts by Guillermo (13)

topic: Search & Replace text in all pages  in the forum: General Help and Support Features and Functionality
Avatar
Guillermo #1
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
Quote by andi:
https://www.dokuwiki.org/plugin:batchedit should do what you want

Thanks very much for the fast reply.

I've tested in one little Namespace.
batchedit works fine, but if you have too pages would be tedious, the "Apply" button requires that you check EACH replace
"The check box is used to select matches for the replacement. In order to prevent unexpected results the check box is unchecked by default requiring the user to confirm every replacement"

btw if you need to change only normal text you must type as
"olddomain.com"
newdomain.com

Best wishes,
Guillermo.
topic: Search & Replace text in all pages  in the forum: General Help and Support Features and Functionality
Avatar
Guillermo #2
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
Subject: Search & Replace text in all pages
Hi to All,

I need change some text and/or links in all the occurences in all the pages.
For example, change www.mydomain.com to www.mynewdomain.com.

¿Is there some function or suggerences to the task?

btw I'm not access to full/root, only normal ftp access and the proper dokuwiki admin.

Using search topic I've noted the plugin CKedit but the replace is only for the loaded page.

Thanks and sorry my  english.
Guillermo.
topic: Move dokuwiki from Domain1 in HostServer1 to Domain2 in HostServer2  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #3
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 56170
Quote by turnermm:
Maybe the best is delete all the install and folder and install from download.dokuwiki.org.

Sounds like a good idea.

I don't understand why are outdated, I am installing dokuwiki for an utility that have the proper hosting company (AppCentral, a sort of fantastico with a lot of apps).

You can't always rely on these automatic installers.

 :nuts:  :scared: allways looking for the most simple way!
Thanks very much for your comments.
topic: Move dokuwiki from Domain1 in HostServer1 to Domain2 in HostServer2  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #4
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 56165
Quote by turnermm:
Most of the warning are from outdated plugins.  So, first update all of your plugins that give you warnings, though I'm not sure why you are getting a warning from authad, since that comes bundled wit the new dokuwiki.

The fullindex plugin has not been updated for 10 years.  See if you can find a more recent replacement.  For the modify header error, see: https://forum.dokuwiki.org/post/55436

Hi Turner, thanks for so fast reply.

I don't understand why are outdated, I am installing dokuwiki for an utility that have the proper hosting company (AppCentral, a sort of fantastico with a lot of apps).
But the problem is that the admin pages doesn't work, then I'm unable to do anything.

Maybe the best is delete all the install and folder and install from download.dokuwiki.org.

About fullindex plugin I'm not sure if I'm using it, would be great if DokuWiki could show a list of plugins/templates/etc used and where.

Best wishes,
Guillermo.
topic: Move dokuwiki from Domain1 in HostServer1 to Domain2 in HostServer2  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #5
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
Subject: Move dokuwiki from Domain1 in HostServer1 to Domain2 in HostServer2
Hi to All.

(sorry my english)

I have an dokuwiki since 2009 that works fine,
upgraded today (thanks to the upgrade plugin) to the very last: Release 2017-02-19b.

Wiki located in folder DOC in Domain1.com in Hosting Provider 1.

I want install the wiki in the new site (and delete the older one).
- install also all the plugins (upgrade, backup, indexmenu, pagemove, font color....)  and so
- install all the content with media (this is the easy part, I think)
- now I have the wiki in www.domain1.com/doc/doku.php
- later the result will be www.domain2.com/doc/doku.php

- provider1 have CPanel, provider2 don't, but an internal way to do things.

I have the plugin for backup (BackupTool for DokuWiki by  Terence J. Grant, Andreas Wagner)
and have used this for testing, the basic content works  :-D but some Warnings at header.

I would like your advice in the topic.

Thanks for help.
Guillermo.


btw some warnings when login Admin (and page content are not visible):
Warning: Declaration of action_plugin_authad::register(Doku_Event_Handler &$controller) should be compatible with DokuWiki_Action_Plugin::register(Doku_Event_Handler $controller) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/authad/action.php on line 89

Warning: Declaration of action_plugin_fullindex::register(&$controller) should be compatible with DokuWiki_Action_Plugin::register(Doku_Event_Handler $controller) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/fullindex/action.php on line 313

Warning: Cannot modify header information - headers already sent by (output started at /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/authad/action.php:89) in /homepages/8/d674751560/htdocs/wcom/doc/inc/auth.php on line 1304

the warnings when not login (but content pages are visible)
Warning: Declaration of action_plugin_authad::register(Doku_Event_Handler &$controller) should be compatible with DokuWiki_Action_Plugin::register(Doku_Event_Handler $controller) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/authad/action.php on line 89

Warning: Declaration of action_plugin_fullindex::register(&$controller) should be compatible with DokuWiki_Action_Plugin::register(Doku_Event_Handler $controller) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/fullindex/action.php on line 313

Warning: Cannot modify header information - headers already sent by (output started at /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/authad/action.php:89) in /homepages/8/d674751560/htdocs/wcom/doc/inc/auth.php on line 495

Warning: Declaration of syntax_plugin_fontcolor::handle($match, $state, $pos, $handler) should be compatible with DokuWiki_Syntax_Plugin::handle($match, $state, $pos, Doku_Handler $handler) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/fontcolor/syntax.php on line 205

Warning: Declaration of syntax_plugin_fontcolor::render($mode, $renderer, $data) should be compatible with DokuWiki_Syntax_Plugin::render($format, Doku_Renderer $renderer, $data) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/fontcolor/syntax.php on line 205

Warning: Declaration of syntax_plugin_highlight::handle($match, $state, $pos, &$handler) should be compatible with DokuWiki_Syntax_Plugin::handle($match, $state, $pos, Doku_Handler $handler) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/highlight/syntax.php on line 107

Warning: Declaration of syntax_plugin_highlight::render($mode, &$renderer, $data) should be compatible with DokuWiki_Syntax_Plugin::render($format, Doku_Renderer $renderer, $data) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/highlight/syntax.php on line 107

Warning: Declaration of syntax_plugin_nstoc::handle($aMatch, $aState, $aPos, &$aHandler) should be compatible with DokuWiki_Syntax_Plugin::handle($match, $state, $pos, Doku_Handler $handler) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/nstoc/syntax.php on line 47

Warning: Declaration of syntax_plugin_nstoc::render($aFormat, &$aRenderer, &$aData) should be compatible with DokuWiki_Syntax_Plugin::render($format, Doku_Renderer $renderer, $data) in /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/nstoc/syntax.php on line 47

Warning: Cannot modify header information - headers already sent by (output started at /homepages/8/d674751560/htdocs/wcom/doc/lib/plugins/authad/action.php:89) in /homepages/8/d674751560/htdocs/wcom/doc/inc/actions.php on line 210
topic: php upgrade 5.2 to 5.4 (problems with : server on 1und1.de upgrades php 5.2 to php 5.4)  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #6
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 45053
I've installed dokuwiki-oldstable-2013-12-08a and also the plugins indexmenu and upgrade.
Now works though have some differences (as table of content now at top and before at top right),
but Now I'm in vacations and I will try it when returns, in the case I'll open a new topic.

Thanks!
topic: php upgrade 5.2 to 5.4 (problems with : server on 1und1.de upgrades php 5.2 to php 5.4)  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #7
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 45052
Quote by andi:
Quote by Guillermo:
Quote by andi:
Quote by Guillermo:
My file VERSION = 2011-05-25 "RinceWind",

Just two hints:

  • We have the year 2014.
  • PHP 5.4 was released in March 2012.

do the math yourself.

btw now In cpanel phpMyAdmin I can see version 5.5.37-35.1.
So any hint for the best way to resolve it?

*sigh* You're using a PHP version that was released in 2013 with a DokuWiki released in 2011. A DokuWiki released in 2011 was written for PHP available in 2011. It's really simple. Upgrade your wiki.

Sure, but I can't access to Admin in order to use Upgrade Plugin,
Also I would like know if can upgrade to the very last or step by step or so.
(btw I've backup the ftp folder)

Thanks for your patience, and double for the fast reply.
Guillermo.
topic: php upgrade 5.2 to 5.4 (problems with : server on 1und1.de upgrades php 5.2 to php 5.4)  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #8
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 45039
Quote by andi:
Quote by Guillermo:
My file VERSION = 2011-05-25 "RinceWind",

Just two hints:

  • We have the year 2014.
  • PHP 5.4 was released in March 2012.

do the math yourself.

Sorry if I don't understand correctly you, my English are so bad.

Maybe HG HG have installed a new one, not php 5.4, simply I used this topic for not open a new one due that the subject error is the same,
btw now In cpanel phpMyAdmin I can see version 5.5.37-35.1.

Thus, sure my DocuWiki was running until a few days, and now shows the error "Strict Standards: Declaration of action_plugin_fullindex::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/cpises/public_html/doc/lib/plugins/fullindex/action.php on line 15"

add info:
If open the web using not log user I can see the same error and after the normal content (but with spanish accents changed to bad characters, even repeated ones as                               Â)
but if logged as Admin the the only content is a 5 errors of "Strict Standards" and two "Warning: Cannot modify header information - headers already sent by (output started at /home/XXXX/public_html/doc/lib/plugins/fullindex/action.php:15) in /home/XXXX/public_html/doc/inc/auth.php on line 982"
and "Warning: Cannot modify header information - headers already sent by (output started at /home/XXXX/public_html/doc/lib/plugins/fullindex/action.php:15) in /home/XXXX/public_html/doc/inc/common.php on line 1537"
also as Admin the web shows the "New release available:" and "Hotfix .." but not admin content, son i.e. can't use the upgrade plugin I think.

So any hint for the best way to resolve it?

Thanks,
Guillermo.
topic: php upgrade 5.2 to 5.4 (problems with : server on 1und1.de upgrades php 5.2 to php 5.4)  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #9
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 36062
Hi TurnerMM.

I've seen (using find before posting !!) your reply, and I'm in the same situation.
Today my docuwiki returns the same error due to php upgrade in the server (Hostgator, btw).
Strict Standards: Declaration of action_plugin_fullindex::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/XXXXXX/public_html/doc/lib/plugins/fullindex/action.php on line 15
.. and other related



Sorry if there is better to create a new post.

My file VERSION = 2011-05-25 "RinceWind",
and having all this notices (resumed) about hotfix/releases:

Security Hotfix 2014-05-05a for Issue 765 available. upgrade now! [44.1] (what's this?)
New release available: 2014-05-05 "Ponder Stibbons". upgrade now! [44] (what's this?)
New release available: 2013-12-08 "Binky". upgrade now! [43] (what's this?)
New release available: 2013-05-10 "Weatherwax". upgrade now! [40] (what's this?)
New release available: 2012-10-13 "Adora Belle". upgrade now! [38] (what's this?)
Hotfix Release available. [36.2] (what's this?)
New release available: 2012-01-25 "Angua". upgrade now! [36] (what's this?)
Hotfix Release available. [34.2] (what's this?)
Hotfix Release available. More info here. [34.1] (what's this?)
Hotfix Release available. More info here. [34] (what's this?)


I'm using a few plugins (see http://i.imgur.com/hIb4lgu.jpg), mainly:
http://www.tstratmann.de/ftp/fontcolor.zip
http://www.staddle.net/wiki/_media/plugins/highlight.tgz
http://mtbrains.home.comcast.net/products/DWAdds/fullindex…
http://samuele.netsons.org/dokuwiki/media/indexmenu.zip
http://dokuwiki.org/plugin:acl
http://dokuwiki.org/plugin:config
http://dokuwiki.org/plugin:info
http://www.dokuwiki.org/plugin:nstoc
http://wiki.splitbrain.org/plugin:pagemove
http://www.dokuwiki.org/plugin:safefnrecode
http://www.dokuwiki.org/plugin:update (upgrade)

I like the colors plugin (set color to texts) and the leftside area (sidebar), not sure how installed all this features.

So, ¿have you some special guidances or the same for the fe user? (my version is not so old than 2008!)

Thanks and special thanks for all the team of dokuwiki for the nice implementation.

Best regards from Spain.
The author has attached one file to this post:
plugins.jpg 32.9 kBytes
You have no permission to open this file.
topic: Problem with Release 2011-11-10 "Angua RC1" "The mediaolddir ('media_attic') does not exist.."  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #10
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 29816
Thanks very much.
Same problem here, this was resolved simply creating the two folders, as you state.
/data/media_attic
/data/media_meta

This was made in an little docuwiki, but I'm frightened with my production wiki where I've installed several plugins as
- indexmenu plugin
- fontcolor
- Pagemove
- of course Wiki Upgrade
- spanish language

I will fear for anything? (currently running Release 2011-05-25a "Rincewind")
topic: How To Set Text Color  in the forum: General Help and Support Syntax and Usage
Avatar
Guillermo #11
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 7715
I think this is an MUST the support of basic colors (colours?) in dokuwiki.
same ways as del(sup/sub
<del>deleted</del>
<red>deleted</red>
at least supports the more basic colors: red, blue, green
or extended as navy, dgreen (darkgreen)

other way is some code types using only three characters:
fred fgre fblu (foreground colors)
bred bgre bblu (background colors)

here in the forum there are supported colors as color=crimson and so on, even with a color toolbar

so please can you consider this as suggestion?

also I'm unable to found any color plugin.
 :rolleyes:
topic: Not a single existing Page after upgrade  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #12
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
In reply to post ID 16794
thanks very much,
the same error is happened to me.

I think the upgrade has changed this value.

Best Wishes. :-D
topic: upgrade (reinstall) deleted my pages [SOLVED]  in the forum: General Help and Support Installation and Configuration
Avatar
Guillermo #13
Member since Feb 2010 · 13 posts
Group memberships: Members
Show profile · Link to this post
Subject: upgrade (reinstall) deleted my pages [SOLVED]
Hi,
I've made an upgrade to the actual version (2009-1-25c) doin' a copy of all the install directories
(I've read in the upgrade instructions, sept 3 "Copy/Upload all its files over your old DokuWiki installation overwriting all existing files")

but now when I access to the wiki all my pages are gone.
I've an backup of all the directories before, made with ftp.

please help me. :blush:
Thanks,

EDIT:
Thanks to Stonegate for the comment about removing the rewrite in the config. :-)
This post was edited on 2010-02-19, 21:49 by Guillermo.
Close Smaller – Larger + Reply to this post:
Special characters:
Special queries
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2020-01-27, 20:21:49 (UTC +01:00)